

function gameinput (sender,obj_id,attachedID)
		if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
		end;		
	
	if sender==30 then
			SetCurrentLeaf("moorage",9,0);
				-- LevelEnd(10)
			flags.start_draw = false;
			flags.cton= false;
			flags.finish = true;			
			flags.comics3 = false;	
del_object_from_game(obj.dragonfly.id)			
			leafobj={2234}
			GetRenderTarget(2234,"rendertar");	
			minigg=true;
			levelnext=10;
	return;end;
	
	
	if sender == 28 then
	if obj_id == 1005 then				
			clear_satelite_leaf("moorage");	
	return; end;
	if plushka and comicsplush and not plushes_were_closed then					 
		
			MoveByVector(1005,1024,202,3,100)			
			StartAnimation(699);
			StartTravel(699,1,nil,nil,{"InstantiationOfLine",2,757,342,1024+118,202+66,3,false})
			playeffect("077")
	elseif not plushes_were_closed then
	-- DrawSkipButton();
	ComicsMessage(1003,"53");	
	StartTimer(55,2)
	end	
	
	
	
	
	
	return; end;
	
	
	if sender==36 then
	
	CreateComicsDialog(0);	
	end
	
	if sender == 1 then
	
		if obj_id==skip_id then			
			CloseComicsPlush()			
		return; end;
		return;end;
	
				
	if sender==6 then	
		-- CreateComicsDialog(0);	
	return;end;
	
end;